cites <- c("511 U.S. 1", "511 U.S. 39", "511 U.S. 79", "511 U.S. 93", "511 U.S. 117")
(cites2 <- gsub(" ", "<SP>", cites))

(cites3 <- do.call(rbind, strsplit(cites, " ")))
(vol <- cites3[ , 1])
(page <- cites3[, 3])

# Create list of filenames
# Get rid of spaces, replace with dots
filename <- gsub(" ", ".", cites)
# Replace double dots with single dots 
##Note: Dots and some other characters do specific work in the context of regular expressions
## If you want a special character to just be its normal self, 
## it needs to be escaped in the regular expression so R knows it is off the clock.
filename <- gsub("\\.\\.", ".", filename)
filename <- paste(filename, ".opin.txt", sep="")

filepath <- "/Users/rachaelhinkle/Dropbox/TextAnalysisStuff/iMacrosExample/"

## header part of code that is only needed once
script = "VERSION BUILD=9030808 RECORDER=FX"
 
## Looping code for each citation
for(i in 1:length(cites)){ 
    script <- 
    rbind(
      script,
		"TAB T=1",
		"URL GOTO=https://www.courtlistener.com/",
		"TAG POS=1 TYPE=A ATTR=TXT:Citation<SP>Lookup",
		
		# Change following lines to input a new value for volume and page each time through the loop
		#"TAG POS=1 TYPE=INPUT:TEXT FORM=NAME:NoFormName ATTR=ID:id_volume CONTENT=511",
		paste("TAG POS=1 TYPE=INPUT:TEXT FORM=NAME:NoFormName ATTR=ID:id_volume CONTENT=", vol[i], sep=""),
	    "TAG POS=1 TYPE=INPUT:TEXT FORM=NAME:NoFormName ATTR=ID:id_reporter CONTENT=U.S.",
        #"TAG POS=1 TYPE=INPUT:TEXT FORM=NAME:NoFormName ATTR=ID:id_page CONTENT=1",
        paste("TAG POS=1 TYPE=INPUT:TEXT FORM=NAME:NoFormName ATTR=ID:id_page CONTENT", page[i], sep=""),
        "TAG POS=1 TYPE=BUTTON FORM=NAME:NoFormName ATTR=TXT:Look<SP>It<SP>Up",
		
		# Change the following line of code to specify a location and filename
		#"SAVEAS TYPE=HTM FOLDER=* FILE=*",
		paste("SAVEAS TYPE=TXT FOLDER=", filepath, " FILE=", filename[i], "", sep=""),

    )
  }

dim(script)

write(script, "/Users/rachaelhinkle/iMacros/Macros/AAAExample.iim", ncolumns=1)









